Timeout in poll() function due to invalid doneChan handling

Bug #1405646 reported by Niklas Wenzel on 2014-12-25
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
account-polld (Ubuntu)
Undecided
Niklas Wenzel
account-polld (Ubuntu RTM)
Undecided
Unassigned

Bug Description

The poll() function in "cmd/account-polld/account_manager.go" always needs to provide an output to a.doneChan. Otherwise the select in Poll() does not know poll() has finished and produces a timeout.

Excerpt from the logs:

2014/10/19 17:23:15 Starting poll for account 4
2014/10/19 17:23:15 Polling account 4
2014/10/19 17:23:15 Account 4 failed to authenticate: GDBus.Error:com.google.code.AccountsSSO.SingleSignOn.Error.NoConnection: Host accounts.google.com not found
2014/10/19 17:23:45 Poll for account 4 has timed out out after 30s
2014/10/19 17:23:45 Ending poll for account 4

Related branches

Niklas Wenzel (nikwen) on 2014-12-25
Changed in account-polld (Ubuntu):
assignee: nobody → Niklas Wenzel (nikwen)
Niklas Wenzel (nikwen) on 2014-12-28
Changed in account-polld (Ubuntu):
status: New → In Progress
Niklas Wenzel (nikwen) on 2015-04-17
Changed in account-polld (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers